Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.gui
Class VisualStackMonitor

    java.lang.Object
      avrora.gui.SingleNodeMonitor
          avrora.gui.VisualStackMonitor

All Implemented Interfaces:
  Simulation.Monitor

public class VisualStackMonitor
extends SingleNodeMonitor
implements Simulation.Monitor

The `VisualStackMonitor` class is a monitor that tracks the current value of the PC and displays it visually

Nested Class Summary
`class` | `VisualStackMonitor.SPMon`

Nested classes inherited from class avrora.gui.SingleNodeMonitor
`SingleNodeMonitor.SingleNodePanel`

Constructor Summary
`VisualStackMonitor()` The constructor for the `VisualPCMonitor` class builds a new `MonitorFactory` capable of creating monitors for each `Simulator` instance passed to the `newMonitor()` method.

Method Summary
`protected SingleNodeMonitor.SingleNodePanel` | `newPanel(Simulation.Node n, MonitorPanel p)`

Methods inherited from class avrora.gui.SingleNodeMonitor
`attach, construct, destruct, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface avrora.sim.Simulation.Monitor
`attach, construct, destruct, remove`

Constructor Detail

### VisualStackMonitor

    public VisualStackMonitor()

  The constructor for the `VisualPCMonitor` class builds a new `MonitorFactory` capable of creating monitors for each `Simulator` instance passed to the `newMonitor()` method.

Method Detail

### newPanel

    protected SingleNodeMonitor.SingleNodePanel newPanel(Simulation.Node n,
                                                         MonitorPanel p)

  Specified by:
    `newPanel` in class `SingleNodeMonitor`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD